module Almicube
  module Aggregator
    class AvgAggregator
      protected

      def sub_aggregate(key)
        keys = ranking.bundled_keys.select { |k| self.class.connection.zcard(k) > 0 }
        keys << ranking.selector.interstore if ranking.selector.interstore
        if keys.length > 0
          weights = keys.map { 1/keys.length }
          self.class.connection.zinterstore(key, keys, weights)
        end
      end
    end
  end
end
