module Almicube
  module Aggregator
    class SumAggregator < Base
      protected

      def sub_aggregate(key)
        keys = ranking.bundled_keys.select { |k| self.class.connection.exists(k) }
        raise "enabled keys are empty" if keys.length == 0

        keys << ranking.selector.interstore if ranking.selector.interstore
        self.class.connection.zinterstore(key, keys)
      end
    end
  end
end
