module Almicube
  module Bundler
    class DaysAgoBundler < Base
      attr_reader :range

      def initialize(options={})
        @range = ( options[:range] || 1 ).to_i
        options[:name] ||= :"#{range}-days-ago"
        super options
      end

      def keys
        return [] unless has_ranking?
        range.times.map do |i|
          key = ranking.data_key
          key[:date] = key[:date] - (i+1).days
          key
        end
      end
    end
  end
end
