module Almicube
  module Selector
    class Base
      include Almicube::Cog

      attr_reader :class_name

      def initialize(options={})
        @class_name = options[:class_name]
        @class_name = class_name.constantize if class_name.is_a? String
        @label = options[:label]
      end

      alias :model_class :class_name

      def label
        @label
      end

      def data_provider?
        false
      end

      def before_aggregate
      end

      def interstore
        nil
      end
    end
  end
end
